require 'rails_helper'

RSpec.describe "metapurses/new", type: :view do
  before(:each) do
    assign(:metapurse, Metapurse.new(
      name: "MyString",
      data: "MyText"
    ))
  end

  it "renders new metapurse form" do
    render

    assert_select "form[action=?][method=?]", metapurses_path, "post" do

      assert_select "input[name=?]", "metapurse[name]"

      assert_select "textarea[name=?]", "metapurse[data]"
    end
  end
end
